RFC 431

Update on SMFS Login and Logout

πŸ“… published December 1972, from ietf

RFC 431 πŸ’– Update on SMFS Login and Logout

okay bestie, the header is giving πŸŽ€ this is RFC 431 (NIC #13300), written by Mark Krilanovich from UCSB on Dec. 15, 1972 🧚 it updates RFC 122 and it obsoletes RFC 399 ✨ the running header on every page is NWG/RFC #431 MCK 15-DEC-72 12:39 13300 πŸ’…

This doc replaces RFC 399, which introduced the Login and Logout commands for UCSB's SMFS but was lowkey incomplete πŸ™ˆ so RFC 399 gets restated here, and then we get the full tea on the response these commands give back πŸ“

Two new commands have been added to UCSB's Simple Minded File System (SMFS). They're described below, so let's get into it πŸ¦‹

Login (LGI) πŸ”‘

The Login command is how the user identifies themselves and says which account number their SMFS use gets billed to πŸ’œ the user should issue LGI right after finishing the ICP, and before any command that references a file. The user name and account number stay in effect until another LGI is issued, a LGO is issued, or the connection is closed ✨

Here's the no-cap situation: SMFS isn't billed right now, so the accounting command is optional 🌸 they're still asking people to start using it ASAP though, because they want to collect stats on SMFS utilization before billing starts πŸ“Š so for now the user name can be any name that identifies the user, and the account number is totally arbitrary πŸŽ€

The LGI format is below. The fixed-length fields are measured in bits, and the op code for LGI is decimal 13 🧚

    8
<op code><user name><account number>

The <user name> and <account number> fields are each split up further, like this 🫢

    8     8*length
<length><user name>

Here, <length> gives the length in 8-bit characters of the <user name> or <account number> subfield πŸ’… the max <user name> length is eight characters, and the max <account number> length is four characters πŸ“ both fields must consist of characters from the same character set as filenames, so no sneaking in weird symbols 😭

Logout (LGO) πŸ¦‹

The Logout command ends the link between the user and the accounting info from the last LGI issued (if there was one) πŸ’€ it does not close the connection though, so SMFS keeps the connection open 🌈 after that, the user should issue another LGI before trying any operation that references a file πŸ™ˆ you don't need to send a LGO before another LGI, or before closing the connection ✨

Again, LGO is optional for now and doesn't change the user's ability to reference files πŸ’–

The LGO format is:

    8
<op code>

The op code for LGO is decimal 14 πŸ‘‘

Responses πŸ“¬

Login and logout each give back exactly one response: an eight-bit completion code πŸ”₯ just like the other SMFS commands, the completion code equals the command's op code when the command succeeds πŸŽ€ these are the error completion codes currently defined (all in decimal) 😭

47      The length of <user name> is zero.
48      <user name> is too long.
49      <user name> contains invalid characters.
50      The length of <account number> is zero.
51      <account number> is too long.
52      <account number> contains invalid characters.
53      <user name) specifies an invalid user.
54      <account number> specifies an invalid account.
🚨 bestie, watch out for code 53 and 54: they're how SMFS tells you the user name or account number is invalid, so double-check what you're sending before you hit send πŸ’…

[ This RFC was put into machine readable form for entry ]
[ into the online RFC archives by BBN Corp. under the   ]
[ direction of Alex McKenzie.                      1/97 ]
πŸ“¦ where this page comes from